<div class="referral-roster">
  <app-content-banner [isDashboard]="false" pageName="Referral Roster" [isTutorialRequired]="true"
    [TutorialPageName]="'referral-roster'"></app-content-banner>
  <mat-card class="rr-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="5px">
      <div *ngIf="!is_SH_HP && !isTAD" fxLayout="row" fxLayoutGap="10px" class="rr-agency-dropdown">
        <label>Select One: </label>
        <mat-radio-group class="example-radio-group" [(ngModel)]="agencyDropdownTypeSelected" (change)="onAgencyDropdownTypeSelected()">
          <mat-radio-button class="example-radio-button" *ngFor="let ag of agencyDropdownTypes" [value]="ag.type">
            {{ag.description}}
          </mat-radio-button>
        </mat-radio-group>
      </div>
      <div class="top-header-filter regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
        <div *ngIf="!is_SH_HP && agencyDropdownTypeSelected > 0" class="pe-left-text">
          <mat-label style="font-weight: 600;">{{(agencyDropdownTypeSelected == 1 && !is_SH_HP && !isTAD) ? 'Referring Agency : ' : 'HP Agency : '}} &nbsp;</mat-label>
          <mat-form-field *ngIf="!isTAD" appearance="outline">
            <mat-select [(ngModel)]="selectedAgencyID">
              <mat-option (click)="onAgencySelected()" [value]="0">Select One</mat-option>
              <mat-option (click)="onAgencySelected()" *ngFor="let agency of agencyList" [value]="agency.agencyID">
                {{agency.agencyNo + ' - ' + agency.agencyName}}
              </mat-option>
            </mat-select>
          </mat-form-field>
          <mat-form-field *ngIf="isTAD && hpAgencyIDforTAD > 0 && hpAgencyNameforTAD !== ''" appearance="outline">
            <input matInput placeholder="{{hpAgencyNoforTAD + ' - ' + hpAgencyNameforTAD}}" disabled>
          </mat-form-field>
        </div>
        <div *ngIf="is_SH_HP" class="hp-left-text">
          <mat-label style="font-weight: 600;">Agency: &nbsp; </mat-label>
          {{is_SH_HP ? currentUser.agencyNo + ' - ' + currentUser.agencyName : ''}}
        </div>
        <div class="right-text">
          <mat-label *ngIf="!is_SH_HP && agencyDropdownTypeSelected > 0" style="font-weight: 600;">{{(agencyDropdownTypeSelected == 1 && !is_SH_HP && !isTAD) ? 'Referring Site : ' : 'HP Site : '}} &nbsp;</mat-label>
          <mat-label *ngIf="is_SH_HP" style="font-weight: 600;">Site: &nbsp;</mat-label>
          <mat-form-field *ngIf="!isTAD" appearance="outline">
            <mat-select [(ngModel)]="selectedSiteID">
              <mat-option [value]="0">Select One</mat-option>
              <mat-option *ngFor="let site of siteList" [value]="site.siteID">
                {{site.siteNo + ' - ' + site.siteName}}
              </mat-option>
            </mat-select>
          </mat-form-field>
          <mat-form-field *ngIf="isTAD && hpSiteIDforTAD > 0 && hpSiteNameforTAD !== ''" appearance="outline">
            <input matInput placeholder="{{hpSiteNoforTAD + ' - ' + hpSiteNameforTAD}}" disabled>
          </mat-form-field>
        </div>
        <div>
          <button (click)="onGo()" mat-raised-button color="primary">GO</button>
        </div>
      </div>
      <div fxLayout="row" class="banner-outline">
        <div class="stats" *ngIf="!is_SH_HP && !isTAD"><span><b>Draft: </b>{{draft}}</span></div>
        <div class="stats"><span><b>Pending: </b>{{pending}}</span></div>
        <div class="stats" style="color: red"><span><b>Overdue: </b>{{overdue}}</span></div>
        <div class="stats"><span><b>Accepted/Pending Approval: </b>{{acceptedPendingApproval}}</span></div>
        <div class="stats"><span><b>In Progress: </b>{{inProgress}}</span></div>
        <div class="stats"><span><b>Move-In: </b>{{moveIn}}</span></div>
        <div class="stats"><span><b>Not Accepted: </b>{{notAccepted}}</span></div>
        <div class="stats" *ngIf="!is_SH_HP && !isTAD" style="color: red"><span><b>External: </b>{{external}}</span>
        </div>
      </div>
      <div *ngIf="isTAD && tadValidationMsg !== ''" fxLayout="column" class="banner-outline">
        <span class="tad-validations" [innerHTML]="tadValidationMsg"></span>
      </div>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)">
        <mat-tab *ngIf="!is_SH_HP && !isTAD">
          <ng-template matTabLabel>
            <span>Draft</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <div class="example-small-box mat-elevation-z4" fxLayout="column">
                  <div class="table-filters-header" fxLayout="column">
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                        <!-- <span class="video-tutorial">
                          <app-tutorial pageName="referral-roster"></app-tutorial>
                        </span> -->
                        <mat-icon (click)="refreshAgGrid('d')" color="primary" matTooltip="Reset the filters">
                          settings_backup_restore
                        </mat-icon>
                        <mat-icon (click)="onBtExport('d')" color="primary" matTooltip="Export to Excel">archive
                        </mat-icon>
                      </div>
                    </div>
                  </div>
                  <div class="example-container mat-elevation-z4">
                    <ag-grid-angular #draftAgGrid id="draftMyGrid" style="width: 100%" class="ag-theme-balham my-grid"
                      [columnDefs]="draftColumnDefs" [defaultColDef]="defaultColDef" [rowData]="draftRowData"
                      [context]="context" [animateRows]="true" [gridOptions]="dgridOptions" [pagination]="true"
                      [paginationPageSize]="10" [frameworkComponents]="frameworkComponents"
                      (gridReady)="onDraftGridReady($event)" [overlayNoRowsTemplate]="dOverlayNoRowsTemplate">
                    </ag-grid-angular>
                  </div>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab *ngIf="!is_SH_HP && !isTAD">
          <ng-template matTabLabel>
            <span>Transmitted</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <div class="example-small-box mat-elevation-z4" fxLayout="column">
                  <div class="table-filters-header" fxLayout="column">
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                        <span class="video-tutorial">
                          <app-tutorial pageName="referral-roster"></app-tutorial>
                        </span>
                        <mat-icon (click)="refreshAgGrid('t')" color="primary" matTooltip="Reset the filters">
                          settings_backup_restore
                        </mat-icon>
                        <mat-icon (click)="onBtExport('t')" color="primary" matTooltip="Export to Excel">archive
                        </mat-icon>
                      </div>
                    </div>
                  </div>
                  <div class="example-container mat-elevation-z4">
                    <ag-grid-angular #transmittedAgGrid id="transmittedMyGrid" style="width: 100%"
                      class="ag-theme-balham my-grid" [columnDefs]="transmittedColumnDefs"
                      [defaultColDef]="defaultColDef" [rowData]="transmittedRowData" [context]="context"
                      [animateRows]="true" [gridOptions]="tgridOptions" [pagination]="true" [paginationPageSize]="10"
                      [frameworkComponents]="frameworkComponents" (gridReady)="onTransmittedGridReady($event)"
                      [overlayLoadingTemplate]="tOverlayLoadingTemplate"
                      [overlayNoRowsTemplate]="tOverlayNoRowsTemplate">
                    </ag-grid-angular>
                  </div>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab *ngIf="(is_SH_PE || is_CAS) && !isTAD">
          <ng-template matTabLabel>
            <span>Completed</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <div class="example-small-box mat-elevation-z4" fxLayout="column">
                  <div class="table-filters-header" fxLayout="column">
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                        <span class="video-tutorial">
                          <app-tutorial pageName="referral-roster"></app-tutorial>
                        </span>
                        <mat-icon (click)="refreshAgGrid('c')" color="primary" matTooltip="Reset the filters">
                          settings_backup_restore
                        </mat-icon>
                        <mat-icon (click)="onBtExport('c')" color="primary" matTooltip="Export to Excel">archive
                        </mat-icon>
                      </div>
                    </div>
                  </div>
                  <div class="example-container mat-elevation-z4">
                    <ag-grid-angular #completedAgGrid id="completedMyGrid" style="width: 100%"
                      class="ag-theme-balham my-grid" [columnDefs]="completedColumnDefs" [defaultColDef]="defaultColDef"
                      [rowData]="completedRowData" [context]="context" [animateRows]="true" [gridOptions]="cgridOptions"
                      [pagination]="true" [paginationPageSize]="10" [frameworkComponents]="frameworkComponents"
                      (gridReady)="onCompletedGridReady($event)" [overlayLoadingTemplate]="pOverlayLoadingTemplate"
                      [overlayNoRowsTemplate]="pOverlayNoRowsTemplate">
                    </ag-grid-angular>
                    <div class="foot-notes"> <span class="color-grade"></span> Direct Referrals</div>
                  </div>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>

        <mat-tab *ngIf="is_SH_HP || isTAD">
          <ng-template matTabLabel>
            <span>Pending</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <div class="example-small-box mat-elevation-z4" fxLayout="column">
                  <div class="table-filters-header" fxLayout="column">
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                        <span class="video-tutorial">
                          <app-tutorial pageName="referral-roster"></app-tutorial>
                        </span>
                        <mat-icon (click)="refreshAgGrid('p')" color="primary" matTooltip="Reset the filters">
                          settings_backup_restore
                        </mat-icon>
                        <mat-icon (click)="onBtExport('p')" color="primary" matTooltip="Export to Excel">archive
                        </mat-icon>
                      </div>
                    </div>
                  </div>
                  <div class="example-container mat-elevation-z4">
                    <ag-grid-angular #pendingAgGrid id="pendingMyGrid" style="width: 100%"
                      class="ag-theme-balham my-grid" [columnDefs]="pendingColumnDefs" [defaultColDef]="defaultColDef"
                      [rowData]="pendingRowData" [context]="context" [animateRows]="true" [gridOptions]="pgridOptions"
                      [pagination]="true" [paginationPageSize]="10" [frameworkComponents]="frameworkComponents"
                      (gridReady)="onPendingGridReady($event)" [overlayLoadingTemplate]="pOverlayLoadingTemplate"
                      [overlayNoRowsTemplate]="pOverlayNoRowsTemplate">
                    </ag-grid-angular>
                    <div *ngIf="isTAD" class="foot-notes"> <span class="color-grade"></span> Pending Task for TAD
                      Submission</div>
                  </div>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab *ngIf="is_SH_HP || isTAD">
          <ng-template matTabLabel>
            <span>Completed</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <div class="example-small-box mat-elevation-z4" fxLayout="column">
                  <div class="table-filters-header" fxLayout="column">
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                        <span class="video-tutorial">
                          <app-tutorial pageName="referral-roster"></app-tutorial>
                        </span>
                        <mat-icon (click)="refreshAgGrid('c')" color="primary" matTooltip="Reset the filters">
                          settings_backup_restore
                        </mat-icon>
                        <mat-icon (click)="onBtExport('c')" color="primary" matTooltip="Export to Excel">archive
                        </mat-icon>
                      </div>
                    </div>
                  </div>
                  <div class="example-container mat-elevation-z4">
                    <ag-grid-angular #completedAgGrid id="completedMyGrid" style="width: 100%"
                      class="ag-theme-balham my-grid" [columnDefs]="completedColumnDefs1" [defaultColDef]="defaultColDef"
                      [rowData]="completedRowData" [context]="context" [animateRows]="true" [gridOptions]="cgridOptions"
                      [pagination]="true" [paginationPageSize]="10" [frameworkComponents]="frameworkComponents"
                      (gridReady)="onCompletedGridReady($event)" [overlayLoadingTemplate]="pOverlayLoadingTemplate"
                      [overlayNoRowsTemplate]="pOverlayNoRowsTemplate">
                    </ag-grid-angular>
                    <div class="foot-notes"> <span class="color-grade"></span> Direct Referrals</div>
                  </div>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
</div>
